;    tcflag_t c_iflag;           /* input mode flags */
IGNBRK		equ	00000001B	;Ignore BREAK condition on input.
BRKINT		equ	00000010B
IGNPAR		equ	00000100B	;Ignore framing errors and parity errors.
PARMRK		equ	00001000B	;Prefix a character with a parity error or framing error with  FFH  00H.
INPCK		equ	00010000B	;Enable input parity checking.
ISTRIP		equ	00100000B	;Strip off eighth bit.
IXON		equ	01000000B	;Enable XON/XOFF flow control on output.
IXANY		equ	10000000B	;Typing any character will restart stopped output.
IXOFF		equ	00000000B	;Enable XON/XOFF flow control on input.

;    tcflag_t c_cflag;           /* control mode flags */
CBAUD		equ	0x1F		;Baud speed mask
 B0		equ	0x00		;hang up
 B50		equ	0x11
 B75		equ	0x12
 B110		equ	0x13
 B134		equ	0x14
 B150		equ	0x05
 B300		equ	0x06
 B600		equ	0x07
 B1200		equ	0x08
 B1800		equ	0x09
 B2400		equ	0x0A
 B3600		equ	0x0B
 B4800		equ	0x0C
 B7200		equ	0x0D
 B9600		equ	0x0E
 B19200		equ	0x0F
 B28800		equ	0x01
 B38400		equ	0x02
 B57600		equ	0x03
 B115200	equ	0x04
 B144000	equ	0x14
 B192000	equ	0x16
 B288000	equ	0x17
CSIZE		equ	00000000B	;Character size mask.
 CS7		equ	00000000B	;
 CS8		equ	00000000B	;
CSTOPB		equ	00000000B	;Set two stop bits, rather than one.
CREAD		equ	00000000B	;Enable receiver.
PARENB		equ	00000000B	;Enable parity generation on output and parity checking for input.
PARODD		equ	00000000B	;If set, then parity for input and output is odd.
CLOCAL		equ	00000000B	;Ignore modem control lines.
CRTS_IFLOW	equ	00000000B	;RTS flow control of input.
CCTS_OFLOW	equ	00000000B	;CTS flow control of output.

;    tcflag_t c_lflag;           /* local mode flags */
ECHO		equ	00000001B


;	tcflow() and TCXONC use these */
TCOOFF		equ	0
TCOON		equ	1
TCIOFF		equ	2
TCION		equ	3
;	tcflush() and TCFLSH use these */
TCIFLUSH	equ	0
TCOFLUSH	equ	1
TCIOFLUSH	equ	2
;	tcsetattr uses these */
TCSANOW		equ	0
TCSADRAIN	equ	1
TCSAFLUSH	equ	2
